/* <TRANS_COMMAND>
ALTER TABLE LAYERDATA
  ADD TARGETCLS VARCHAR2(20)
/  

CREATE INDEX IDX_LAYERDATA_TARGETCLS ON LAYERDATA (TARGETCLS)
/

COMMIT WORK
/
*/
-- <TRANS_IGNORE>
DECLARE 
  v_exists integer;
BEGIN
  SELECT count(*) 
    INTO v_exists
    FROM USER_TAB_COLUMNS 
    WHERE TABLE_NAME='LAYERDATA' AND COLUMN_NAME='TARGETCLS';
  IF (v_exists=0) THEN
    EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA
      ADD TARGETCLS VARCHAR2(20)';

    EXECUTE IMMEDIATE 'CREATE INDEX IDX_LAYERDATA_TARGETCLS ON LAYERDATA (TARGETCLS)';
    EXECUTE IMMEDIATE 'COMMIT WORK';
  END IF;

  SELECT count(*) 
    INTO v_exists
    FROM USER_TABLES
    WHERE TABLE_NAME='LAYERDATA_FLOAT';
  IF (v_exists>0) THEN
    SELECT count(*) 
      INTO v_exists
      FROM USER_TAB_COLUMNS 
      WHERE TABLE_NAME='LAYERDATA_FLOAT' AND COLUMN_NAME='TARGETCLS';
    IF (v_exists=0) THEN
      EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA_FLOAT
        ADD TARGETCLS VARCHAR2(20)';

      EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_TARGETCLS ON LAYERDATA_FLOAT (TARGETCLS)';
      EXECUTE IMMEDIATE 'COMMIT WORK';
    END IF;
  END IF;
END;
/